Bug 1894310 - CI runs of baremetal IPI are failing due to newer libvirt libraries
Summary: CI runs of baremetal IPI are failing due to newer libvirt libraries
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Installer
Version: 4.7
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ---
: 4.6.z
Assignee: Stephen Benjamin
QA Contact: Raviv Bar-Tal
URL:
Whiteboard:
Depends On: 1894144
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-11-04 00:08 UTC by OpenShift BugZilla Robot
Modified: 2020-11-30 16:45 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-11-30 16:45:31 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift installer pull 4340 0 None closed [release-4.6] Bug 1894310: baremetal: pin libvirt to 4.5.0 2020-12-09 21:03:06 UTC
Red Hat Product Errata RHBA-2020:5115 0 None None None 2020-11-30 16:45:51 UTC

Description OpenShift BugZilla Robot 2020-11-04 00:08:59 UTC
+++ This bug was initially created as a clone of Bug #1894144 +++

CI repos now contain libvirt-libs 6.0.0-28.module+el8.3.0+7827+5e65edd7. When running an installer built that's linked against 6.0 on an older RHEL host, the installer fails to run:

.sh:53): create_cluster(): ocp/ostest/openshift-baremetal-install --dir
ocp/ostest --log-level=debug create manifests
ocp/ostest/openshift-baremetal-install: /lib64/libvirt.so.0: version
```LIBVIRT_5.2.0' not found (required by
ocp/ostest/openshift-baremetal-install)
ocp/ostest/openshift-baremetal-install: /lib64/libvirt.so.0: version
`LIBVIRT_5.10.0' not found (required by
ocp/ostest/openshift-baremetal-install)
ocp/ostest/openshift-baremetal-install: /lib64/libvirt.so.0: version
`LIBVIRT_4.10.0' not found (required by
ocp/ostest/openshift-baremetal-install)
ocp/ostest/openshift-baremetal-install: /lib64/libvirt.so.0: version
`LIBVIRT_5.8.0' not found (required by
ocp/ostest/openshift-baremetal-install)
ocp/ostest/openshift-baremetal-install: /lib64/libvirt.so.0: version
`LIBVIRT_5.7.0' not found (required by
ocp/ostest/openshift-baremetal-install)
ocp/ostest/openshift-baremetal-install: /lib64/libvirt.so.0: version
`LIBVIRT_5.6.0' not found (required by
ocp/ostest/openshift-baremetal-install)
ocp/ostest/openshift-baremetal-install: /lib64/libvirt.so.0: version
`LIBVIRT_5.5.0' not found (required by
ocp/ostest/openshift-baremetal-install)

It's notable that brew is still building against libvirt-libs 4.5, and nightlies remain green. However, CI runs of e2e-metal-ipi are being built with the newer libaries. Theoretically, RHEL is not supposed to do this, as the X.Y of core software should remain to ensure a stable ABI, but I guess as libvirt is now distributed as part of AppStream there are looser requirements.

Ideally we would find a different way to work with libvirt, instead of using the C bindings to avoid problems like this, but in the short term we should build with the oldest X.Y of libvirt libs supported by RHEL 8.

Comment 4 errata-xmlrpc 2020-11-30 16:45:31 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (OpenShift Container Platform 4.6.6 bug fix update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:5115


Note You need to log in before you can comment on or make changes to this bug.